﻿* {
    padding:0;
    box-sizing: border-box;
    margin-right: 0;
    margin-top: 0;
    margin-bottom: 0;
}

.auto-style2 {
    width: 211px;
    height: 51px;
}

body {
    margin: 0;
    background-color: #E0D7D2;
    background-position: center;
    font-family: sans-serif;
    padding: 0;
}
section{background-color:white}

.menu-bar {
    background-color: antiquewhite;
}

    .menu-bar ul {
        display: inline-flex;
        list-style: none;
        color: darkblue;
        margin-bottom: 0;
    }
        .menu-bar ul li {
            display: flex;
            justify-content: space-around;
            width: auto;
            margin: 0;
            padding: 10px;
            font-size: 15px;
            font-weight: bold;
        }
        .active, .menu-bar ul li:hover {
            background-color: #555555;
            border-radius: 3px;
        }
#mainContent > .menu-bar {
    background-color: #6D6D6D;
    margin: 2px;
    padding: 2px;
    border-radius: 5px;
    display: flex;
    justify-content: space-around;
    background-position: center;
}
        .menu-bar ul li a {
            text-decoration: none;
            color: #fff;
        }

        .menu-bar .fa
        {
            margin-right:8px;
        }

            .sub-menu-1{
                display:none;
            }

    .menu-bar ul li:hover .sub-menu-1 {
            display: block;
            position: absolute;
            background: #555555;
            margin-top: 27px;
            margin-left: 27px;

}

    .menu-bar ul li:hover .sub-menu-1 ul
    {
        display:block;
        margin:10px;

    }

        .menu-bar ul li:hover .sub-menu-1 ul li
        {
            width:128px;
            padding: 5px;
            border-bottom:1px dotted #fff;
            background: transparent;
            border-radius:3px;
            text-align:left;
        }
            .menu-bar ul li:hover .sub-menu-1 ul li:last-child
            {
                border-bottom:none;
            }

                .menu-bar ul li:hover .sub-menu-1 ul li a:hover
                {
                    color: black;
                }



                #mainContent {
                    display: flex;
                    flex-direction: column;
                    min-height: 95vh;
                }

                    #mainContent > header {
                        display: flex;
                        font-size: x-large;
                        justify-items: center;
                        flex-basis: 30%;
                        background-color: #164c73;
                        font-size: 120%;
                    }

#titre1 {
    margin-left: 30%;
    font-style: oblique;
}

header {
    display: flex;
}

#mainContent > section {
    flex-grow: 1;
    
}

#mainContent > footer {
    flex-basis: 70%;
    background-color: #164c73;
    bottom: 2px;
}

#mainContent > header,
#mainContent > nav,
#mainContent > section {
    margin: 2px;
    padding: 3px;
    border-radius: 5px;
}

footer {
    max-width: 100%;
    padding: .5rem 0;
    margin: .25rem 2px 0;
    border-radius: 5px;
}